Subject: acka Digest V1 #20
From: [email-masked]
To: acka digest users <[email-masked]>
Date: Fri, 08 Oct 1999 23:21:59 -0400 (EDT)

acka Digest	Friday, October 08 1999	Volume: 01  Issue: 020

----------------------------------------------------------------------

Subject: Acka: Proposal 58
From: [email-masked]
Date: Fri, 08 Oct 1999 15:21:29 -0400 (EDT)

Proposal 58
Possibly Redundant Core Proposal
K 2
Due: Fri Oct 15 15:21:27 1999

This is a Core Proposal. [but only if it isn't]

Create a new rule with the text:
"

This rule shall amend the rule (Core and Arm) by amending section II to
read:
'
II.  Core Proposals
       There is a subtype of Proposal called a Core Proposal, 
       which is created in the usual manner except that it must 
       start with a phrase announcing the fact. Only Core 
       Proposals may create, modify, renumber an Arm rule into,
       or repeal a Core Rule. If a Non-Core Proposal submitted 
       after this rule is enacted attempts to modify, create, 
       renumber an Arm rule into, or repeal a Core Rule, that 
       proposal has none of its changes applied if it is Accepted.
'
and make all proposals currently in the proposal queue which declare
themselves to be Core Proposals into Core Proposals [just in case] and
then repeal itself.
"

------------------------------

Subject: Acka: Proposal 59
From: [email-masked]
Date: Fri, 08 Oct 1999 15:21:38 -0400 (EDT)

Proposal 59
Where souls go
K 2
Due: Fri Oct 15 15:21:38 1999

This is a Core Proposal. [but only if it isn't]

Amend the rule (Souls) by appending the following as an appropriately
numbered new section:
"
Life After Death
30 days after a player has left the game eir soul is transferred
Somewhere Else. When a person rejoins, the soul created by em when they
were last a player is transferred into eir possession.
"

------------------------------

Subject: Acka: Proposal 60
From: [email-masked]
Date: Fri, 08 Oct 1999 15:21:49 -0400 (EDT)

Proposal 60
They Might Be Slumbering Giants
K 2
Due: Fri Oct 15 15:21:48 1999

Create a new rule with the title "They Might Be Slumbering Giants" and
the text:
"
They Might Be Slumbering Giants (TMBSG) is a unique entity.

Souls may be members of TMBSG as may other entities, however, only
players who's souls are already members may be members of They Might Be
Slumbering Giants. A player who's soul is a member of TMBSG is also a
member of TMBSG. The membership of TMBSG may only be manipulated by a
rule which specifically provides for such a manipulation.

Within the first fortnight after a person has left the game of
Ackanomic, their soul may be nominated once, by any player. Each Player
may then publicly second the nomination.

If after a week, the number of players who have seconded the nomination
is greater than half the number of players, the soul becomes a Putative
Slumbering Giant. After a soul has been a Putative Slumbering Giant for
thirty days it is made a member of They Might Be Slumbering Giants.

A soul which is a Putative Slumbering Giant loses that distinction when
the player with a right to it rejoins.

Players who are members of They Might Be Slumbering Giants may claim
either the title of Slumber Giant or Elder as thier whim dictates.
"

The following souls (created pointing to the relevant person, if
necessary) become members of They Might Be Slumbering Giants:
"
Alfvaen
Balsamic Dragon
Bascule
breadbox
Brinjal
Chaos
mr cwm
else...if
Guy Fawkes
IdiotBoy
Niccolo Flychuck
this is not a name
Ballot Stuffer
Malenkai
Mr. Lunatic Fringe
Voting Gnome
Wayne
"

Create a new rule with the title "Grandfathered Disappointments" with
the text:
"
Any player who has left the Game of Ackanomic since Fri, 24 Sep 1999
23:14:12 is eligible to be nominated according to the rule "The Might Be
Slumbering Giants" with all effect that flow therefrom. This rule
repeals itself a fortnight after it is created.
"

------------------------------

From: K 2 <[email-masked]>
Subject: Acka: Re: Proposal 36 rejected
Date: Fri, 08 Oct 1999 15:28:54 -0400 (EDT)

[email-masked] wrote:
> 
> Proposal 36
> 
> Yes/No vote totals: 4-11: proposal rejected
> 
>  Proposal 36
>  Numerically Challenged
>  K 2
>  Due: Fri Oct  8 11:12:30 1999
>  Status: rejected
> 
> 
>  All proposals with a number less than 300 are re-numbered by adding 4487
>  to their current numbers.

I'm amazed [well okay not really] - starting the numbers from 4500
would've established continuity with the old game state and made
historical references possible - are there any particular modification
that would make this palatable to the majority?

K 2

------------------------------

From: [email-masked] (John Bollinger)
Subject: Acka: Re: Spheres
Date: Fri, 08 Oct 1999 15:29:38 -0400 (EDT)

>>This may seem silly, but I have a problem with the "on" terminology.
>
>	Here's the problem.  In metaphorical relation to each other 
>the Spheres are in and out of each other.  The question has to do 
>with physical locations of elements; in the earlier draft I said 
>elements were in Spheres.  This lead to the definition that each 
>Sphere was outside a Sphere metaphorically, but insides it 
>physically.  This is extremely confusing.  So I changed everywhere it 
>said things like "players are in the living sphere" and "move X into 
>the kernel" to "on"'s and "onto"'s.

I guess I don't get it.  Why is it necessary that the physical and
metaphorical relationships among the spheres be at odds?  Is there something
wrong with the version I offered?  Whether there are finitely many or
infinitely many spheres, we can put the first (Imperial) either as outermost
or innermost and go from there.  We just make the permissions paradigm agree
with the physical arrangement, or vice versa.

>>This bit is at least some of what you should leave for last.  Also, as
>>an example, if my convention were adopted then the first paragraph of that
>>could be rewritten as:
>>
>>	If the local sphere of an element e is inside the local sphere of an
>>	element f, then f may not manipulate e.  This rule deferes to all other
>>	rules inside its local sphere.
>>
>>That's shorter, says the same thing (I think), and is easier [for me] to
>>understand.
>>
>
>	What do you mean by "leave for last"?  Your clause does the 
>same thing as the first quoted paragraph, but doesn't do what either 
>the second or the third paragraphs do, at least as I read it.  If I'm 
>wrong, please explain how it would.

By "leave for last" I meant "this is part of the permissions architecture,
which I earlier mentioned you should implement at the end of the proposal."

Of course my clause doesn't do what the second or third paragraphs do.  If
you read my comment it says so.  The paragraph I offered was an example of
how the language would be simplified under my scheme, not a full replacement
for the whole section.  Conversion of the other two paragraphs is left as
an exercise for the reader.

>>I think it would be best to make the props call themselves Kernel Proposals.
>>A limited-time exception could be made to cover props already in the queue.
>>Also, a prop may do things other than transfer sections of itself.  You
>>should probably say that if the conditions are met then the proposal may
>>manipulate any element of the game state outside the Imperial sphere.
>
>	Once the prop is transferred that the list of instructions it 
>has is executed in each Sphere.  This could certainly include 
>manipulating entities.

This connects with some of my later comments.  Again, why play games with
schlepping around parts of proposals?  Just let them have their intended
effect.  Alternatively, move the whole proposal to the innermost sphere it
affects and let it do its thing from there.  I just think that requiring
proposals to be chopped up into pieces before they are applied is a big
mistake.

>>It is kind of pointless to forbid changes by proposal, for if you run up
>>against the restriction then you just have your proposal create a rule in
>>an appropriate sphere which makes the changes you want.  Perhaps better
>>would be: if no conditions are explicitly specified for a proposal to
>>affect a Sphere then the conditions for that sphere are the same as those
>>for the next Sphere inward.
>
>	The purpose of this is to prevent accidental manipulation. 
>If a player jumps through the hoop of creating a rule to do it then 
>it seems reasonable to assume that they're doing it on purpose, and 
>that the voters approved it on purpose.

Call me a wild man, say I like living on the edge, but I am not interested
in that level of protection.  I always assume that any manipulation that
a proposal performs is intentional, and that those voters who support a
prop do it on purpose.  Sometimes that proves to not be the case, but that's
beside the point.  I don't see how putting extra red tape around parts of
the game state prevents accidents -- indeed, it makes for more complicated
proposals, which are more difficult to evaluate and debug.

>> >            If less than 1/2 of the current Players approve the
>> >specification or if the Champion fails to make a specification in
>> >time, the contents of rule C1 remain in force for the next Round.
>>
>>
>>This bit may be unnecessary.  If you want to include it then I recommend
>>judicious use of the word "otherwise," and rather than talking about the
>>contents of rule C1 etc., just say "rule C1 is unchanged."
>
>	This is what [the current rule] says.  I'm reluctant to rephrase things in 
>ways which don't directly relate to the content of the proposal.

I see your point, but I would still prefer that the change be made.  It
certainly is not a make or break issue, but as long as we are mucking about
and have detected a weak point why don't we fix it?

Cheers,

ThinMan

------------------------------

From: Matt Miller <[email-masked]>
Subject: Acka: Re: Spheres
Date: Fri, 08 Oct 1999 15:36:08 -0400 (EDT)

On Fri, 8 Oct 1999, John Bollinger wrote:

> This connects with some of my later comments.  Again, why play games with
> schlepping around parts of proposals?  Just let them have their intended
> effect.  Alternatively, move the whole proposal to the innermost sphere it
> affects and let it do its thing from there.  I just think that requiring
> proposals to be chopped up into pieces before they are applied is a big
> mistake.

Well, I feel this way about it.  Either we have a secuirty model which
says: You must define which sphere each part of your proposal effects.. or
we don't have a securty model at all.  If our intention (as I undestand
it) with the Spheres model is to keep things from unintentionally or
maliciously, decietfully being broken by berzerk proposals, then we pretty
much have to do something like this.  Yes, it's overhead.  And no, I don't
think I am going to be voting for it.

IB
Core-Arm forever.

------------------------------

From: "Phillip Howell" <[email-masked]>
Subject: Acka: Re: Spheres
Date: Fri, 08 Oct 1999 15:59:52 -0400 (EDT)

IB wrote:

> Well, I feel this way about it.  Either we have a secuirty model which
> says: You must define which sphere each part of your proposal effects.. or
> we don't have a securty model at all.

	Core-Arm security now doesn't do that.  As the rules stand, a Core proposal
can modify Arm rules just as any other proposal.

	The proposed spherical security model is not appreciably different from  the
current Core-Arm model in its workings:  it merely has a few more layers than
Core-Arm, and has different nomenclature.

	Imagine a Core-Arm-Hand model:  Hand proposals are a type of proposals that
need only a 1/5 vote to pass.  However, Hand proposals cannot alter Arm or
Core rules, and Hand rules cannot affect Arm or Core rules.

	Arm proposals are normal proposals, and can affect Arm and Hand rules, and
arm rules take precedence over hand rules.

	Core proposals are as they are now.

	You can also call this a three-sphere model:  the attractiveness of spheres
(or rings, or cubes, or...) is that they're scalable.  We want another
section of the rules?  Just plug in the appropriate sphere in the heirarchy.

-Heimdall

------------------------------

From: Matt Miller <[email-masked]>
Subject: Acka: Re: Spheres
Date: Fri, 08 Oct 1999 16:45:52 -0400 (EDT)

On Fri, 8 Oct 1999, Phillip Howell wrote:

> IB wrote:
> 
> > Well, I feel this way about it.  Either we have a secuirty model which
> > says: You must define which sphere each part of your proposal effects.. or
> > we don't have a securty model at all.
> 
> 	Core-Arm security now doesn't do that.  As the rules stand, a Core proposal
> can modify Arm rules just as any other proposal.

Ja, I know.

> 
> 	The proposed spherical security model is not appreciably different from  the
> current Core-Arm model in its workings:  it merely has a few more layers than
> Core-Arm, and has different nomenclature.
> 

Ja, I know.

> 	You can also call this a three-sphere model:  the attractiveness of spheres
> (or rings, or cubes, or...) is that they're scalable.  We want another
> section of the rules?  Just plug in the appropriate sphere in the heirarchy.
> 

I thought the point was to create something different from
mutable/immutable or core/arm.  If the intent is as described, this is
even more of a yawner than I thought.

IB

------------------------------

From: "Thomas Hirsch" <[email-masked]>
Subject: Acka: Locations are entities.
Date: Fri, 08 Oct 1999 17:10:02 -0400 (EDT)

Locations are entities.
Entity is a synonym for thingy.
Other entities can have a location.
Thus, entities are ownable.
Thus, I own the Alumnium Cave.
I offer the Alumnium Cave to anyone who wants to have it.
However there are some restrictions:
Ownable thingies may be transferred from one owner to another.
Thus, you must own the Alumnium Cave before I can give it to you.
I wonder if all the soul transfers have become invalid...

-- - [relet] - -- 
> Thomas Hirsch <
[email-masked]

------------------------------

From: David Scheidt <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:13:02 -0400 (EDT)

On Fri, 8 Oct 1999, Thomas Hirsch wrote:

> Locations are entities.
> Entity is a synonym for thingy.
> Other entities can have a location.
> Thus, entities are ownable.
> Thus, I own the Alumnium Cave.
> I offer the Alumnium Cave to anyone who wants to have it.
> However there are some restrictions:
> Ownable thingies may be transferred from one owner to another.
> Thus, you must own the Alumnium Cave before I can give it to you.
> I wonder if all the soul transfers have become invalid...
> 

I don't follow.  Care to expound?

rufus

------------------------------

From: "Thomas Hirsch" <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:27:43 -0400 (EDT)

> I don't follow.  Care to expound?

Sure, I've just been wondering a bit about the ruleset an wanted to 
know what of the following is true.

> > Locations are entities.

Rule 17.

> > Entity is a synonym for thingy.

Rule 2./I.

> > Other entities can have a location.

Rule 17 again.

> > Thus, entities are ownable.

I'm not sure about this point. Is to have synonymous enough for to 
own ?

> > Thus, I own the Alumnium Cave.

I currently have the location "Alumnium Cave". If the above is true, I 
own this location (and a dozen of other players, too)

> > I offer the Alumnium Cave to anyone who wants to have it.

referring to Rule 2./V. 

> > Ownable thingies may be transferred from one owner to another.

Rule 2./V. again. The only way to transfer a thingy is when both 
players are "owners". I assume that this refers to "owner of this 
thingie".

> > Thus, you must own the Alumnium Cave before I can give it to 
you.

You must be an owner of the Cave, before we can trade.

> > I wonder if all the soul transfers have become invalid...

If the above is true, nobody was allowed to transfer the souls, as not 
both players have been owner of the soul.

Well, correct me if I am wrong.

-- - [relet] - -- 
> Thomas Hirsch <
[email-masked]

------------------------------

From: "Thomas Hirsch" <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:30:05 -0400 (EDT)

Oops, I made a mistake:

> Locations are entities.
> Entity is a synonym for thingy.
> Other entities can have a location.

Thus, locations are ownable.

> Thus, I own the Alumnium Cave.
> I offer the Alumnium Cave to anyone who wants to have it.
> However there are some restrictions:
> Ownable thingies may be transferred from one owner to another.
> Thus, you must own the Alumnium Cave before I can give it to you.
> I wonder if all the soul transfers have become invalid...

-- - [relet] - -- 
> Thomas Hirsch <
[email-masked]

------------------------------

From: Alexandre Owen Muniz <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:35:59 -0400 (EDT)

Thomas Hirsch wrote:
> 
> Locations are entities.
> Entity is a synonym for thingy.
> Other entities can have a location.
> Thus, entities are ownable.
> Thus, I own the Alumnium Cave.

Whoa there. Yes, locations are ownable. This does not mean that they are
necessarily owned. Having a location is not the same as owning it, as a
matter of common sense and standard English usage. (I plan on bringing
back Player Homes in a new form, so there will be some owned locations.)

> I offer the Alumnium Cave to anyone who wants to have it.
> However there are some restrictions:
> Ownable thingies may be transferred from one owner to another.

This phrasing in rule 2 is a bit awkward, but I submit that it means
that a thingy may be transfered from its current owner to a new owner,
rather than from one of its current owners to another of its current
owners.

> Thus, you must own the Alumnium Cave before I can give it to you.
> I wonder if all the soul transfers have become invalid...
> 

nah, imo.

**two-star

------------------------------

From: JT <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:36:27 -0400 (EDT)

On Fri, 8 Oct 1999, Thomas Hirsch wrote:
> > > Ownable thingies may be transferred from one owner to another.
> 
> Rule 2./V. again. The only way to transfer a thingy is when both 
> players are "owners". I assume that this refers to "owner of this 
> thingie".

Disregarding all the rest of the above, what you said here is fallacious.
'Ownable thingies may be transferred from one owner to another' is
semantically equivalent to 'Ownable thingies may be given by their owner
to another person who then becomes their owner'.

> If the above is true, nobody was allowed to transfer the souls, as not 
> both players have been owner of the soul.
> 
> Well, correct me if I am wrong.

See above.

--JT

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: K 2 <[email-masked]>
Subject: Acka: Web Pages
Date: Fri, 08 Oct 1999 17:47:56 -0400 (EDT)

I've finally decided to do something about the vast emptiness which is
http://www.ackanomic.org/. A prototype web page is up at
http://www.ackanomic.org/~k2/index.html - on real content just links to
other peoples pages as and when they are announced....

K 2

------------------------------

From: "Thomas Hirsch" <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:48:03 -0400 (EDT)

> Whoa there. Yes, locations are ownable. This does not mean that they are
> necessarily owned. Having a location is not the same as owning it, as a
> matter of common sense and standard English usage. (I plan on bringing
> back Player Homes in a new form, so there will be some owned locations.)
 
Ok, I just wasn't sure how abstract this formulation is. If we named 
the locations else than "location", would you say that there is still a 
difference ?
 
> This phrasing in rule 2 is a bit awkward, but I submit that it means
> that a thingy may be transfered from its current owner to a new owner,
> rather than from one of its current owners to another of its current
> owners.

Again, just a matter of abstraction. If one's nit-picking, the "new 
owner" is only owner after that the transaction has been made. And e 
could not agree on the trade when e is no owner...

> nah, imo.

Agreed.

-- - [relet] - -- 
> Thomas Hirsch <
[email-masked]

------------------------------

From: "Phillip Howell" <[email-masked]>
Subject: Acka: Re: Locations are entities.
Date: Fri, 08 Oct 1999 17:48:29 -0400 (EDT)

relet wrote:

> > > Thus, I own the Alumnium Cave.
>
> I currently have the location "Alumnium Cave". If the above is true, I
> own this location (and a dozen of other players, too)

	C.f. Rule 1.II:  "The Game State may only be changed, and shall only
change, as described in the Rules...."  Ownership is part of the Game State,
and no rule allows you to claim ownership of the Aluminum Cave.

	(Supporting this is 2.II:  "Thingies may only be manipulated in manners
provided by the rules.  All other manipulation of thingies are
immpossible." )

-Heimdall

------------------------------

From: Randy Hall <[email-masked]>
Subject: Acka: Re: Web Pages
Date: Fri, 08 Oct 1999 18:19:27 -0400 (EDT)

> I've finally decided to do something about the vast emptiness which is
> http://www.ackanomic.org/. A prototype web page is up at
> http://www.ackanomic.org/~k2/index.html - on real content just links to
> other peoples pages as and when they are announced....

You have the same typo in the ackarules link that the speaker did when
he sent it out.

Malenkai
UTE (url typo exchequer)

------------------------------

From: Randy Hall <[email-masked]>
Subject: Acka: Re: General Spherical thoughts.
Date: Fri, 08 Oct 1999 18:27:19 -0400 (EDT)

> > I think the item created by the higher sphere should win, but
> > there might need to be safeguards to protect important items from
> > inadvertant destruction.
> 
> The solution to this that I proposed on IRC (and I thought here earlier)
> is that you just cannot create an element in a lower sphere that
> 'overrides' that element in a higher sphere.  So, if an emporer is defined
> in the Imperial sphere _(it is)_, [my emphasis]

Actually, I read (skimmed) the draft, and it is not defined.  It is only 
referred to and empowered, but not defined.  Hence the essence of the 
loophole, which I do not believe this fixes.  You need to change "defined"
to a different word or concept (which is where the rub comes in).  This is
true even if I misread the draft and the Emperor is in fact defined in
this example.

Malenkai
Emperor in his own mind

------------------------------

From: JT <[email-masked]>
Subject: Acka: Re: General Spherical thoughts.
Date: Fri, 08 Oct 1999 18:37:22 -0400 (EDT)

On Fri, 8 Oct 1999, Randy Hall wrote:
> Actually, I read (skimmed) the draft, and it is not defined.  It is only 
> referred to and empowered, but not defined.  Hence the essence of the 
> loophole, which I do not believe this fixes.  You need to change "defined"
> to a different word or concept (which is where the rub comes in).  This is
> true even if I misread the draft and the Emperor is in fact defined in
> this example.

One of the caveats I made about this on IRC was that we would need a
fairly strict concept of what it means to be 'defined by the rules'.  In
this case, I would claim that any element which is named and singled out
for special treatment is defined by that naming unless an explicit
description (in the normal sense) exists elsewhere.

--JT

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: Randy Hall <[email-masked]>
Subject: Acka: Re: General Spherical thoughts.
Date: Fri, 08 Oct 1999 18:45:10 -0400 (EDT)

> One of the caveats I made about this on IRC was that we would need a
> fairly strict concept of what it means to be 'defined by the rules'.  In
> this case, I would claim that any element which is named and singled out
> for special treatment is defined by that naming unless an explicit
> description (in the normal sense) exists elsewhere.

I do not believe this "claim" would be supported by cEus; in any case I
missed the IRC session and its caveats, hopefully the would-be-Emperor did
not :-)  If this is what you mean, use "empowered" or "referred to"
instead of "defined" (I'm still not sure this will work, but the loopholes
will be less obvious).

Malenkai
would make a lousy Emperor anyway

------------------------------

Subject: Acka: Soul
From: Joseph DeVincentis <[email-masked]>
Date: Fri, 08 Oct 1999 20:27:20 -0400 (EDT)

I offer my soul to Dragon Mage.

/dev/joe
Watching the Soul war escalate...

------------------------------

From: JT <[email-masked]>
Subject: Acka: Re: Soul
Date: Fri, 08 Oct 1999 20:31:46 -0400 (EDT)

On Fri, 8 Oct 1999, Joseph DeVincentis wrote:
> I offer my soul to Dragon Mage.
> 
> /dev/joe
> Watching the Soul war escalate...

I accept /dev/joe's Soul.

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: "Gavin M. Doig" <[email-masked]>
Subject: Acka: ...for a Donut
Date: Fri, 08 Oct 1999 20:39:02 -0400 (EDT)

I hereby lay claim to the soul "Blest Lax Monk Pal". I give said soul to
Dragon Mage.

BLMP.

------------------------------

From: Matt Miller <[email-masked]>
Subject: Acka: Hasta!
Date: Fri, 08 Oct 1999 20:47:47 -0400 (EDT)

I leave the game of Ackanomic!

IB

------------------------------

From: Matt Miller <[email-masked]>
Subject: Acka: Hi!
Date: Fri, 08 Oct 1999 20:51:20 -0400 (EDT)

I'd like to join the game of Ackanomic!  I specify the soul of
"LittleBuddy" to be my soul.

Oh, and I offer to trade LittleBuddy to rufus in exchange for IdiotBoy.

IB

------------------------------

From: David Scheidt <[email-masked]>
Subject: Acka: Re: Hi!
Date: Fri, 08 Oct 1999 20:52:46 -0400 (EDT)

On Fri, 8 Oct 1999, Matt Miller wrote:

> I'd like to join the game of Ackanomic!  I specify the soul of
> "LittleBuddy" to be my soul.

Welcome!
> 
> Oh, and I offer to trade LittleBuddy to rufus in exchange for IdiotBoy.

I accept this trade.

rufus
> 
> IB

except, I think your name shoudl be little buddy.
> 
> 
> 
> 
> 

------------------------------

From: JT <[email-masked]>
Subject: Acka: Re: ...for a Donut
Date: Fri, 08 Oct 1999 20:53:24 -0400 (EDT)

On Fri, 8 Oct 1999, Gavin M. Doig wrote:
> I hereby lay claim to the soul "Blest Lax Monk Pal". I give said soul to
> Dragon Mage.

I accept this soul as well.

--Dragon Mage, Soul-Hoarder.

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: Matt Miller <[email-masked]>
Subject: Acka: Re: Hi!
Date: Fri, 08 Oct 1999 20:53:52 -0400 (EDT)

On Fri, 8 Oct 1999, David Scheidt wrote:

> > IB
> 
> except, I think your name shoudl be little buddy.

I think your I bet you can't tell l's from 1's, either!

IB, once more.

------------------------------

Subject: Acka: Proposal 39 rejected
From: [email-masked]
Date: Fri, 08 Oct 1999 22:34:21 -0400 (EDT)

Proposal 39

Yes/No vote totals: 3-15: proposal rejected

Yes:
  else...if             (3)

No:
  Xylen                 (1)
  IdiotBoy              (0)
  K 2                   (0)
  /dev/joe              (0)
  rufus                 (2)
  relet                 (1)
  Malenkai              (1)
  ThinMan               (1)
  Dragon Mage           (3)
  Hubert                (1)
  Tyrethali             (1)
  two-star              (0)

Abstain
  r-attila the farce    (1)
  breadbox              (1)
  mr cwm                (1)
  Balsamic Dragon       (1)
  Niccolo Flychuck      (1)
  Robert Sevin          (1)
  Wayne                 (1)
  Guy Fawkes            (1)
  danke                 (1)
  Kane                  (1)
  Pure Haste            (1)
  Reductio              (1)
  Fortunato             (1)
  Doctor Slakko         (1)
  Fox                   (1)
  marsboy               (1)
  Brinjal               (1)
  Calvin N Hobbes       (1)
  Blest Lax Monk Pal    (0)
  404 Not Found         (1)
  Robin Hood            (1)
  Piz                   (1)
  Voting Gnome          (1)
  this is not a name    (1)
  Mr. Lunatic Fringe    (1)
  Grimace               (1)
  Seth Nickell          (1)
  Studge                (1)
  and                   (1)
  Cthulhu               (1)
  Heimdall              (1)
  Chaos                 (1)
  Burn the Witch        (1)
  Ballot Stuffer        (1)
  Bascule               (1)

 Subject: Acka: Proposal 39
 
 Proposal 39
 Stifling the Soul
 Mike Lugo
 Due: Fri Oct  8 21:06:05 1999
 Status: rejected
 
 If proposals 20 and 33 have passed, replace section IV of rule 33 by the
 following BEEZELBUB-delimited text:
 
 BEEZELBUB
 IV.  All players that possess at least one soul receive one vote for each
 soul they possess.
 V. Players who possess no soul receive one vote on all proposals that affect
 Arm rules only.  They receive no votes on proposals that affect Core rules.
 BEEZELBUB
 
 #submit proposal Conditional Scoring
 If proposals 27 and 31 has passed, repeal the rule which it created and
 create a rule entitled "Plus if...else minus" with the following
 WEBOFLIES-delimited text:
 
 WEBOFLIES
 Upon the removal of a proposal from the Queue, the player who proposed it
 shall receive 1 (positive) point for each vote for the proposal and lost 1
 point for each vote against the proposal.  If the proposal was removed
 because
 its Conflicting proposal passed or its Depending proposal failed, the player
 shall
 neither receive nor lose any points.
 WEBOFLIES

 

------------------------------

From: Henry Towsner <[email-masked]>
Subject: Acka: Re: Spheres
Date: Fri, 08 Oct 1999 22:56:29 -0400 (EDT)

>	If the local sphere of an element e is inside the local sphere of an
>	element f, then f may not manipulate e.  This rule deferes to all other
>	rules inside its local sphere.

	I'm working on the next draft, and I've found this bit really 
useful.  I used your format to define clear terminology, so the new 
precedence stuff is very compact.

------------------------------

From: Henry Towsner <[email-masked]>
Subject: Acka: Spheres
Date: Fri, 08 Oct 1999 23:21:50 -0400 (EDT)

	This is it.  The big one.  The final draft.  This should be 
much clearer than the previous drafts.
	I choose to keep the Imperial rule changes done by the first 
Imperial rule because, although the protections schemes are not yet 
in place, I think it's a poor precedent to hop around them.  I left a 
few clauses in which are somewhat redundant (e.g. explicitly stating 
rules are elements).  Although formally unnecessary, I think they 
help avoid confusion.

This is a Core Proposal.

Destroy any thingee whose name would conflict with a name used in 
this proposal.

	Create a rule called "The Golden Rule" with the following text:
"
	The Mithril Grapefruit is the center of this nomic.  Around 
the Mithril Grapefruit are an infinite number of concentric spheres, 
each contained inside the next; these are the Spheres.  No two 
Spheres are congruent.  Every element of the Ackanomic game state is 
on one of these spheres.  The local sphere of an element is the 
Sphere which contains that element, except that a Sphere is its own 
local sphere. The innermost Sphere is the Imperial Sphere.  A rule 
always takes priority over rules on Spheres outside of its local 
Sphere while deferring to rules on Spheres inside its local Sphere. 
This nomic may only be changed in accordance with the rules.

	The next Sphere beyond this is the Kernel Sphere.

II) Create a new rule in this Sphere named "Who is the Emperor?" with 
the following text:
The Emperor may create, destroy, or modify elements on this Sphere
at eir whim, via a public message.

III) Create a new rule in this Sphere named "History Anyone?" with 
the following text:

IV) Create a proposal named "The Imperial History" with the text "
Vulcan (/dev/joe, Malenkai, ThinMan, and Vynd) once ruled Ackanomic.
K2 once ruled Ackanomic.
JT, Studge, and Emperor Ai!Pedrito! once ruled Ackanomic.
"

V) Move the proposal which created this rule into the Imperial 
Sphere, number this rule I1, then delete sections II, III, IV, and V 
from this rule.
"

	Place a rule numbered K1 on the Kernel Sphere called "More 
Sphere Stuff" with the following text:
"
	The next Sphere outside of this is the Structural Sphere.
	Everything in this nomic, also known as Ackanomic, is an 
element.  This includes rules.  New rules are created on the 
Structural Sphere unless otherwise specified.
	An element e is inside another element f if the local sphere 
of e is inside the local sphere of f, and outside f if the local 
sphere of e is outside the local sphere of f.
	If there is an element e on local sphere p, then any element 
on p or on a sphere inside of p Supercedes e.
	If element e is inside element f then f may only manipulate 
element e if a rule which Supercedes e explicitly permits the 
manipulation.
	An element may not move to a sphere unless a rule which 
Supercedes that sphere explicitly permits it.
	No element may be created on an outer sphere if it is 
referenced in an inner sphere, unless a rule Superceding the inner 
sphere explicitly permits it, nor may a property which is referenced 
in an inner sphere by assigned at an outer sphere except under the 
same conditions.
"

	Create a rule in the Kernel Sphere numbered K6 and named 
"Kernel Changing" with the following text:
"
	In order to make a change to the Kernel, a proposal must 
begin with the sentence "This is a Kernel Proposal", or a reasonable 
approximation ("This is a Core Proposals" is a reasonable 
approximation), and at least two Yes votes must have been cast on it 
for each No vote.  If these conditions are met then that proposal may 
be transferred to the Kernel.
"

	Move parts I, II, III, IX of rule 1 onto the Kernel as rules 
K2 through K5 respectively.

Place a rule on the Structural Sphere called "More Spheres" with the 
following text:
"
	The Spheres immediately outside of this one, in order from 
immediately outside this Sphere to furthest outside are:
Living
Champion
Games and Puzzles
Fantasy
Harfy
"

	Move parts IV, V, X, XI of rule 1 and rules 2, 3, 15, 17, 51, 
52, 53, 171, and 172 onto the Structural Sphere.  The parts of rule 1 
should be numbered S1, S2, S3, and S4 respectively.  The other rules 
in the Structural Sphere should be numbered S12, S13, S15, S27, S51, 
S52, S53, S141, and S142 respectively.  Repeal rule 5.  Move all 
rules which are not on a Sphere to SX, where X is their rule number 
plus 150.

	After the first sentence of rule S4, add "When the Speaker 
assigns a rule number, it must be for the Sphere which the rule is 
on."
	Create rule S5, "Rule Numbers", reading "A rule number 
consists of a a string of text followed by an integer.  The text is 
the name of the Sphere the rule is on, and may be abbreviated to the 
first letter of that text if it is unambiguous.  There may only be 
one rule with each integer in each Sphere."

	Create rule S10, "Proposals" with the following text:
"
I. Proposals
	A Proposal is a list of proposed changes to the Game State. 
Any Player may make a Proposal in the Living Sphere by e-mailing its 
text to the Speaker (or to a bot designated by the Speaker).  Within 
3 days of receipt of a Proposal, the Speaker (or eir bot) shall 
assign an integer number to the Proposal and send its text in a 
Public Message, at which time the Proposal is said to be in the 
Proposal Queue (Queue).

II. Voting on Proposals

All Players may vote either Yes or No for any Proposal in the Queue 
which is on their Sphere or farther out by e-mailing eir vote to the 
Speaker (or to a bot designated by the Speaker).  If a Player votes 
more than once on a particular Proposal, all but their most recent 
vote on that Proposal are disregarded.

III. Accepting Proposals

Upon a Proposal having been in the Queue for exactly 7 days, it is 
either Accepted or Rejected and it is removed from the Queue.  At 
that time, the Proposal is Accepted if and only if a majority of the 
votes cast on it were Yes, and the Player who authored it did not 
vote No.  The Speaker (or eir bot) shall report in a Public Message 
the status of any Accepted Proposal within 3 days of it becoming 
Accepted; at that time the Proposal is moved onto the Structural 
Sphere and activated.

IV. Activated Proposals

When a Proposal is activated, it is checked against each sphere to 
which it attempts to make changes.  It must meet all conditions 
specified for those spheres in order to make changes to them; if it 
fails the conditions of any sphere it attempts to change then it is 
null and has no effect.  If no conditions are specified for a Sphere 
then the conditions for the Sphere inside of it apply.  If it meets 
all such conditions, the proposal is transferred to the lowest Sphere 
it changes and its instructions are performed in order.  If a 
proposal creates a rule without specifying where then it is treated 
as if the Structural Sphere was specified; if the proposal creates 
non-rule elements without specifying where then the Living Sphere is 
assumed.

Players are strongly encouraged to place all changes to a single 
Sphere together in eir proposals and to clearly mark them.

V. Outer Sphere Changes

Any activated proposal may change the Structural Sphere.
"

	Move parts I, II, and V of rule 4 to rules S201,  S202 and 
S204, respectively.  Move part IV of that rule to C1.
	Create rule S203, "Winning Rules" with the text "At any time 
there is exactly one and only one way to win the Current Round.  This 
method is defined solely by rule C1."
	Create rule S205, "Changing the Winning Rule", with the 
following text: "
	Move all Players, proposals, and thingees onto the Living Sphere.

	 When a Player becomes Champion, e may within 7 days specify a new
method for winning the current round.   If within 7 days after such 
specification more than 1/2 of the current Players have approved the 
specification, then the new method replaces rule C1 exactly as it was 
specified.   If less than 1/2 of the current Players approve the 
specification or if the Champion fails to make a specification in 
time, rule C1 is unchanged.
"
----------------------------------------------------------------------

[games and puzzles and treasures]
III. Create a new rule [on the Rule Sphere] with the title "The
Games and Puzzles Sphere" and the text:

"
Players may create rules on the Games and Puzzles Sphere by publicly
posting their text; the rule is created 3 days after such a post if and
only if fewer than 3 players publicly objected during the 3 day period.
"

----------------------------------------------------------------------

[FRP]
IV. Create a new rule [on the Rule Sphere] with the title "The
Fantasy Sphere" and the text:

"
Whenever a player accurately points out that no player is the Dungeon
Master, the player pointing this out becomes the Dungeon Master.
The Dungeon Master may create, destroy, or modify elements on the
Fantasy Sphere at eir whim, via a public message; e may also grant,
revoke, or grant this privilege in a limited way to others at eir
whim, via a public message.
"

----------------------------------------------------------------------

[:-)]
V. Create a new rule [on the Rule Sphere] with the title "The
Harfy Sphere" and the text:

"
Players may create, destroy, modify, or renew elements on the Harfy
Sphere at their whim, via a public message.  Any element on the Harfy
Sphere that is unrenewed or unmodified for a period of 90
consecutive days is destroyed.
"

------------------------------

End of acka Digest V1 #20
*************************